#main .section-data-tables .dataTables_wrapper table.dataTable tbody {
  height: unset !important;
}

#main .section-data-tables .dataTables_wrapper .dataTables_length, #main .section-data-tables .dataTables_wrapper .dataTables_filter {
  display: block;
}

.btn-success, .btn-success:hover {
  background-color: #2f9006 !important;
  color: #ffffff !important;
}

.btn-warning, .btn-warning:hover {
  background-color: #d27109 !important;
  color: #ffffff !important;
}

.btn-danger, .btn-danger:hover {
  background-color: #d40e0e !important;
  color: #ffffff !important;
}

.update, .text-success {
  color: #2f9006;
}

.edit, .text-warning {
  color: #d27109;
}

.delete, .remove, .text-danger {
  color: #d40e0e;
}

.swal-button--cancel {
  background-color: #d27109 !important;
  color: #ffffff !important;
}

.swal-button--delete {
  background-color: #d40e0e !important;
  color: #ffffff !important;
}

.lds-roller {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}

.lds-roller div {
  -webkit-animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
          animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  transform-origin: 40px 40px;
}

.lds-roller div:after {
  content: " ";
  display: block;
  position: absolute;
  width: 7px;
  height: 7px;
  border-radius: 50%;
  background: #fff;
  margin: -4px 0 0 -4px;
}

.lds-roller div:nth-child(1) {
  -webkit-animation-delay: -0.036s;
          animation-delay: -0.036s;
}

.lds-roller div:nth-child(1):after {
  top: 63px;
  left: 63px;
}

.lds-roller div:nth-child(2) {
  -webkit-animation-delay: -0.072s;
          animation-delay: -0.072s;
}

.lds-roller div:nth-child(2):after {
  top: 68px;
  left: 56px;
}

.lds-roller div:nth-child(3) {
  -webkit-animation-delay: -0.108s;
          animation-delay: -0.108s;
}

.lds-roller div:nth-child(3):after {
  top: 71px;
  left: 48px;
}

.lds-roller div:nth-child(4) {
  -webkit-animation-delay: -0.144s;
          animation-delay: -0.144s;
}

.lds-roller div:nth-child(4):after {
  top: 72px;
  left: 40px;
}

.lds-roller div:nth-child(5) {
  -webkit-animation-delay: -0.18s;
          animation-delay: -0.18s;
}

.lds-roller div:nth-child(5):after {
  top: 71px;
  left: 32px;
}

.lds-roller div:nth-child(6) {
  -webkit-animation-delay: -0.216s;
          animation-delay: -0.216s;
}

.lds-roller div:nth-child(6):after {
  top: 68px;
  left: 24px;
}

.lds-roller div:nth-child(7) {
  -webkit-animation-delay: -0.252s;
          animation-delay: -0.252s;
}

.lds-roller div:nth-child(7):after {
  top: 63px;
  left: 17px;
}

.lds-roller div:nth-child(8) {
  -webkit-animation-delay: -0.288s;
          animation-delay: -0.288s;
}

.lds-roller div:nth-child(8):after {
  top: 56px;
  left: 12px;
}

@-webkit-keyframes lds-roller {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes lds-roller {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
#loader {
  position: absolute;
  width: 100vw;
  height: 100vh;
  z-index: 999999;
  background: rgba(0, 0, 0, 0.3803921569);
  text-align: center;
}

#loaderContainer {
  position: absolute;
  top: 50%;
  right: 50%;
  transform: translate(50%, -50%);
}

.DNA_cont {
  display: inline-block;
  position: relative;
  transform: scale(0.45);
}

.nucleobase {
  display: inline-block;
  position: relative;
  vertical-align: middle;
}

.nucleobase:not(:last-child) {
  margin-right: 4.86vh;
}

.nucleobase:before, .nucleobase:after {
  content: "";
  display: inline-block;
  width: 3vh;
  height: 3vh;
  border-radius: 50%;
  position: absolute;
}

.nucleobase:nth-child(1) {
  -webkit-animation-delay: -1.869s;
  animation-delay: -1.869s;
}

.nucleobase:nth-child(1):before {
  -webkit-animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -1.869s;
  animation-delay: -1.869s;
  background-color: #ff8490;
}

.nucleobase:nth-child(1):after {
  -webkit-animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -1.869s;
  animation-delay: -1.869s;
  background-color: #ff737c;
}

.nucleobase:nth-child(2) {
  -webkit-animation-delay: -3.738s;
  animation-delay: -3.738s;
}

.nucleobase:nth-child(2):before {
  -webkit-animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -3.738s;
  animation-delay: -3.738s;
  background-color: #ff8490;
}

.nucleobase:nth-child(2):after {
  -webkit-animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -3.738s;
  animation-delay: -3.738s;
  background-color: #ff737c;
}

.nucleobase:nth-child(3) {
  -webkit-animation-delay: -5.607s;
  animation-delay: -5.607s;
}

.nucleobase:nth-child(3):before {
  -webkit-animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -5.607s;
  animation-delay: -5.607s;
  background-color: #ff8490;
}

.nucleobase:nth-child(3):after {
  -webkit-animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -5.607s;
  animation-delay: -5.607s;
  background-color: #ff737c;
}

.nucleobase:nth-child(4) {
  -webkit-animation-delay: -7.476s;
  animation-delay: -7.476s;
}

.nucleobase:nth-child(4):before {
  -webkit-animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -7.476s;
  animation-delay: -7.476s;
  background-color: #ff8490;
}

.nucleobase:nth-child(4):after {
  -webkit-animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -7.476s;
  animation-delay: -7.476s;
  background-color: #ff737c;
}

.nucleobase:nth-child(5) {
  -webkit-animation-delay: -9.345s;
  animation-delay: -9.345s;
}

.nucleobase:nth-child(5):before {
  -webkit-animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -9.345s;
  animation-delay: -9.345s;
  background-color: #ff8490;
}

.nucleobase:nth-child(5):after {
  -webkit-animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -9.345s;
  animation-delay: -9.345s;
  background-color: #ff737c;
}

.nucleobase:nth-child(6) {
  -webkit-animation-delay: -11.214s;
  animation-delay: -11.214s;
}

.nucleobase:nth-child(6):before {
  -webkit-animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -11.214s;
  animation-delay: -11.214s;
  background-color: #ff8490;
}

.nucleobase:nth-child(6):after {
  -webkit-animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -11.214s;
  animation-delay: -11.214s;
  background-color: #ff737c;
}

.nucleobase:nth-child(7) {
  -webkit-animation-delay: -13.083s;
  animation-delay: -13.083s;
}

.nucleobase:nth-child(7):before {
  -webkit-animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -13.083s;
  animation-delay: -13.083s;
  background-color: #ff8490;
}

.nucleobase:nth-child(7):after {
  -webkit-animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -13.083s;
  animation-delay: -13.083s;
  background-color: #ff737c;
}

.nucleobase:nth-child(8) {
  -webkit-animation-delay: -14.952s;
  animation-delay: -14.952s;
}

.nucleobase:nth-child(8):before {
  -webkit-animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -14.952s;
  animation-delay: -14.952s;
  background-color: #ff8490;
}

.nucleobase:nth-child(8):after {
  -webkit-animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -14.952s;
  animation-delay: -14.952s;
  background-color: #ff737c;
}

.nucleobase:nth-child(9) {
  -webkit-animation-delay: -16.821s;
  animation-delay: -16.821s;
}

.nucleobase:nth-child(9):before {
  -webkit-animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -16.821s;
  animation-delay: -16.821s;
  background-color: #ff8490;
}

.nucleobase:nth-child(9):after {
  -webkit-animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -16.821s;
  animation-delay: -16.821s;
  background-color: #ff737c;
}

.nucleobase:nth-child(10) {
  -webkit-animation-delay: -18.69s;
  animation-delay: -18.69s;
}

.nucleobase:nth-child(10):before {
  -webkit-animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animBefore 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -18.69s;
  animation-delay: -18.69s;
  background-color: #ff8490;
}

.nucleobase:nth-child(10):after {
  -webkit-animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  animation: animAfter 2.1s cubic-bezier(0.42, 0, 0.58, 1) infinite;
  -webkit-animation-delay: -18.69s;
  animation-delay: -18.69s;
  background-color: #ff737c;
}

@-webkit-keyframes animBefore {
  0% {
    top: -6vh;
    z-index: 1;
  }
  25% {
    transform: scale(1.2);
    z-index: 1;
  }
  50% {
    top: 6vh;
    z-index: -1;
  }
  75% {
    background-color: #ffdab2;
    transform: scale(0.8);
    z-index: -1;
  }
  100% {
    top: -6vh;
    z-index: -1;
  }
}
@keyframes animBefore {
  0% {
    top: -6vh;
    z-index: 1;
  }
  25% {
    transform: scale(1.2);
    z-index: 1;
  }
  50% {
    top: 6vh;
    z-index: -1;
  }
  75% {
    background-color: #ffdab2;
    transform: scale(0.8);
    z-index: -1;
  }
  100% {
    top: -6vh;
    z-index: -1;
  }
}
@-webkit-keyframes animAfter {
  0% {
    top: 6vh;
    z-index: -1;
  }
  25% {
    background-color: #ff329b;
    transform: scale(0.8);
    z-index: -1;
  }
  50% {
    top: -6vh;
    z-index: 1;
  }
  75% {
    transform: scale(1.2);
    z-index: 1;
  }
  100% {
    top: 6vh;
    z-index: 1;
  }
}
@keyframes animAfter {
  0% {
    top: 6vh;
    z-index: -1;
  }
  25% {
    background-color: #ff329b;
    transform: scale(0.8);
    z-index: -1;
  }
  50% {
    top: -6vh;
    z-index: 1;
  }
  75% {
    transform: scale(1.2);
    z-index: 1;
  }
  100% {
    top: 6vh;
    z-index: 1;
  }
}
@-webkit-keyframes animDotBar {
  0% {
    height: 8.25vh;
  }
  25% {
    height: 0;
  }
  50% {
    height: 8.25vh;
  }
  75% {
    height: 0;
  }
  100% {
    height: 8.25vh;
  }
}
@keyframes animDotBar {
  0% {
    height: 8.25vh;
  }
  25% {
    height: 0;
  }
  50% {
    height: 8.25vh;
  }
  75% {
    height: 0;
  }
  100% {
    height: 8.25vh;
  }
}
@-webkit-keyframes superscript {
  0% {
    opacity: 0;
    transform: translateY(-1em);
  }
  100% {
    opacity: 1;
    transform: translateY(0em);
  }
}
@keyframes superscript {
  0% {
    opacity: 0;
    transform: translateY(-1em);
  }
  100% {
    opacity: 1;
    transform: translateY(0em);
  }
}
